%{?nodejs_find_provides_and_requires}

%global packagename bossy
%global enable_tests 0
# Tests disabled in order to bootstrap npm(lab)

Name:		nodejs-bossy
Version:	2.0.0
Release:	1%{?dist}
Summary:	Command line options parser

License:	BSD
URL:		https://github.com/hapijs/bossy
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(lab)
%endif

Requires:	nodejs

%description
Command line options parser


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
lab -a code -t 100 -L
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Tue Oct 27 2015 Jared Smith <jsmith@fedoraproject.org> - 2.0.0-1
- Initial packaging
- Tests disabled in order to bootstrap npm(lab)
